%define ver_major 2.32
%def_disable static
%def_disable gtk_doc

Name: cheese
Version: %ver_major.0
Release: alt1

Summary: Cheese is a Photobooth-inspired application for taking pictures and videos
License: GPL
Group: Video
Url: http://www.gnome.org/projects/cheese

Source: ftp://ftp.gnome.org/pub/gnome/sources/cheese/%ver_major/%name-%version.tar.bz2

%define glib_ver 2.16
%define gtk_ver 2.19.1
%define desktop_ver 2.26.0
%define gst_ver 0.10.23
%define cairo_ver 1.4.0

Requires: lib%name = %version-%release
Requires(pre,post): GConf
BuildPreReq: GConf libGConf-devel
BuildPreReq: gnome-doc-utils gnome-common intltool
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildRequires: gst-plugins-devel >= %gst_ver
BuildPreReq: libcairo-devel >= %cairo_ver
BuildRequires: librsvg-devel libcanberra-gtk2-devel
BuildRequires: libdbus-devel libdbus-glib-devel libgudev-devel
BuildRequires: libXtst-devel xorg-xextproto-devel libXi-devel
BuildRequires: gcc-c++ gnome-doc-utils-xslt docbook-dtds gtk-doc

%description
Cheese is a Photobooth-inspired GNOME application for taking pictures
and videos from a webcam. It also includes fancy graphical effects
based on the gstreamer-backend.

%package -n lib%name
Summary: Cheese libraries
Group: System/Libraries

%description -n lib%name
Cheese is a Photobooth-inspired GNOME application for taking pictures
and videos from a webcam. It also includes fancy graphical effects
based on the gstreamer-backend. This package contains Cheese libraries.

%package -n lib%name-devel
Summary: Cheese development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains files necessary to develop applications that use
Cheese libraries.

%package -n lib%name-devel-doc
Summary: Cheese development documentation
Group: Development/C
BuildArch: noarch
Conflicts: lib%name-devel < %version

%description -n lib%name-devel-doc
This package contains documentation necessary to develop applications
that use Cheese libraries.

%prep
%setup -q

%build
%autoreconf
export LDFLAGS="$LDFLAGS `pkg-config --libs gudev-1.0`"
%configure \
	%{subst_enable static} \
	--disable-scrollkeeper \
	--disable-schemas-install \
	%{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/cheese
%dir %_libexecdir/cheese
%_libexecdir/cheese/cheese-bugreport.sh
%_datadir/applications/cheese.desktop
%_datadir/cheese/
%_datadir/icons/hicolor/*/apps/cheese.*
%_datadir/dbus-1/services/org.gnome.Cheese.service
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name 
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%files -n lib%name-devel-doc
%_datadir/gtk-doc/html/*

%exclude %_libexecdir/%name/%name-bugreport.sh

%changelog
* Mon Oct 04 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Sun May 02 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt2
- 2.30.1

* Sun Apr 04 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt2
- updated buildreqs

* Tue Mar 30 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Tue Mar 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt1
- 2.29.92

* Wed Feb 24 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt1
- 2.29.91

* Wed Feb 10 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.90-alt1
- 2.29.90
- new libcheese-devel-doc noarch subpackage

* Tue Jan 12 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt1
- 2.29.5
- new libcheese{,-devel} subpackages

* Tue Oct 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Mon Sep 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0
- updated buildreqs

* Thu Sep 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.92-alt1
- 2.27.92

* Tue Aug 25 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.91-alt1
- 2.27.91

* Tue Aug 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.90-alt1
- 2.27.90

* Tue Jun 30 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.3-alt1
- 2.26.3

* Sun Mar 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- updated buildreqs

* Tue Jan 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Tue Nov 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- removed obsolete %%post* scripts

* Fri Nov 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Fri Jul 04 2008 Igor Zubkov <icesik@altlinux.org> 2.22.3-alt1
- 2.22.2 -> 2.22.3

* Tue May 27 2008 Igor Zubkov <icesik@altlinux.org> 2.22.2-alt1
- 2.22.1 -> 2.22.2

* Thu May 15 2008 Igor Zubkov <icesik@altlinux.org> 2.22.1-alt2
- exec %%update_menus after install and %%clean_menus after uninstall

* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 2.22.1-alt1
- 2.22.0 -> 2.22.1

* Thu Apr 24 2008 Igor Zubkov <icesik@altlinux.org> 2.22.0-alt2
- fix build ob x86_64

* Thu Apr 03 2008 Igor Zubkov <icesik@altlinux.org> 2.22.0-alt1
- build for Sisyphus


